## censys 0.1.0

=== DESCRIPTION ===
Package: censys
Title: Tools to Query the 'Censys' API
Version: 0.1.0
Authors@R: c(person("Bob", "Rudis", email = "brudis@rapid7.com", role = c("aut", "cre")))
Description: The 'Censys' public search engine enables researchers to quickly ask 
    questions about the hosts and networks that compose the Internet. Details on how 
    'Censys' was designed and how it is operated are available at <https://www.censys.io/about>. 
    Both basic and extended research access queries are made available. More information 
    on the SQL dialect used by the 'Censys' engine can be found at 
    <https://cloud.google.com/bigquery/docs/reference/legacy-sql>.
URL: https://github.com/hrbrmstr/censys
BugReports: https://github.com/hrbrmstr/censys/issues
Depends: R (>= 3.2.2)
License: AGPL + file LICENSE
LazyData: true
Suggests: testthat
Imports: httr, jsonlite, stringi, purrr, utils
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-12-31 15:19:10 UTC; bob
Author: Bob Rudis [aut, cre]
Maintainer: Bob Rudis <brudis@rapid7.com>
Repository: CRAN
Date/Publication: 2016-12-31 16:37:02

## censys 2.1.9

=== debian/changelog ===
censys (2.1.9-2) unstable; urgency=medium

  * Source only reupload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 21 Jan 2023 17:52:56 +0100

censys (2.1.9-1) unstable; urgency=low

  * Initial release (Closes: #1029355)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 21 Jan 2023 16:06:19 +0000

=== debian/control ===
Source: censys
Section: python
Priority: optional
Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-backoff,
               python3-requests,
               python3-rich,
               python3-setuptools
Standards-Version: 4.6.2
Homepage: https://github.com/censys/censys-python
Rules-Requires-Root: no

Package: python3-censys
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: easy-to-use and lightweight API wrapper for Censys APIs (censys.io)
 An easy-to-use and lightweight API wrapper for Censys APIs (censys.io).
 Python 3.7+ is currently supported.
 Notice: The Censys Search v1 endpoints are deprecated as of Nov. 30, 2021.
 Please begin using v2 endpoints to query hosts and certificates and check
 out our support center for resources.
 .

## censys 2.2.0

=== debian/changelog ===
censys (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to pyproject
  * Depend on poetry-core for tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Apr 2023 09:36:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-backoff,
+               python3-poetry-core,
                python3-requests,
                python3-rich,
                python3-setuptools

## censys 2.2.2

=== debian/changelog ===
censys (2.2.2-1) unstable; urgency=medium

  * New upstream release.
  * B-D on urllib3, needed by upstream new version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 May 2023 11:41:21 +0200

## censys 2.2.3

=== debian/changelog ===
censys (2.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Jun 2023 16:54:44 +0200

## censys 2.2.4

=== debian/changelog ===
censys (2.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Jul 2023 07:32:46 +0200

## censys 2.2.5

=== debian/changelog ===
censys (2.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 10 Sep 2023 08:07:55 +0200

## censys 2.2.6

=== debian/changelog ===
censys (2.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Sep 2023 12:49:18 +0200

## censys 2.2.7

=== debian/changelog ===
censys (2.2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Oct 2023 17:04:34 +0200

## censys 2.2.8

=== debian/changelog ===
censys (2.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Oct 2023 12:21:00 +0200

## censys 2.2.9

=== debian/changelog ===
censys (2.2.9-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Nov 2023 07:53:20 +0100

## censys 2.2.10

=== debian/changelog ===
censys (2.2.10-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 24 Dec 2023 09:09:31 +0100

## censys 2.2.11

=== debian/changelog ===
censys (2.2.11-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2024 08:54:44 +0100

## censys 2.2.12

=== debian/changelog ===
censys (2.2.12-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Apr 2024 10:10:33 +0200

## censys 2.2.13

=== debian/changelog ===
censys (2.2.13-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Aug 2024 10:41:35 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                python3-poetry-core,
                python3-requests,
                python3-rich,
+               python3-urllib3,
                python3-setuptools
 Standards-Version: 4.6.2
 Homepage: https://github.com/censys/censys-python

## censys 2.2.14

=== debian/changelog ===
censys (2.2.14-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-version to 4.7.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 08:51:05 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-rich,
                python3-urllib3,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/censys/censys-python
 Rules-Requires-Root: no

## censys 2.2.15

=== debian/changelog ===
censys (2.2.15-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 19 Oct 2024 09:20:52 +0200

## censys 2.2.16

=== debian/changelog ===
censys (2.2.16-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Oct 2024 22:41:52 +0200

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=censys
%:
	dh $@ --with python3 --buildsystem=pybuild

## censys 2.2.17

=== debian/changelog ===
censys (2.2.17-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Apr 2025 15:34:27 +0200

## censys 2.2.18

=== debian/changelog ===
censys (2.2.18-2) unstable; urgency=medium

  * Bump std-version to 4.7.2
  * Drop R^3: no, default now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Nov 2025 08:36:41 +0100

censys (2.2.18-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Jul 2025 07:02:00 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,8 @@
                python3-rich,
                python3-urllib3,
                python3-setuptools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/censys/censys-python
-Rules-Requires-Root: no
 
 Package: python3-censys
 Architecture: all

=== debian/watch ===
# try also https://pypi.debian.net/censys/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/censys/censys-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## censys 2.2.19

=== debian/changelog ===
censys (2.2.19-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Dec 2025 08:06:30 +0100
